# System

- [Version & Status](https://docs.encedo.com/hem-api/reference/api-reference/system/version-and-status.md): Two endpoints to gather general information about the device.
- [Checkin](https://docs.encedo.com/hem-api/reference/api-reference/system/checkin.md): Those endpoints perform check-in procedures, a'ka firmware verification and setup of RTC based on trusted data.
- [Configuration](https://docs.encedo.com/hem-api/reference/api-reference/system/configuration.md): These operations allow the read and update of the device configuration. This section includes Secure Enclave provisioning (on Encedo PPA only and during manufacture only).
- [Upgrade](https://docs.encedo.com/hem-api/reference/api-reference/system/upgrade.md)
- [Firmware](https://docs.encedo.com/hem-api/reference/api-reference/system/upgrade/firmware.md): These operations allow the device firmware to be upgraded by uploading a new firmware image over API. This includes integrity and signature validation allowing only a legitimate firmware to be install
- [Low level USB mode](https://docs.encedo.com/hem-api/reference/api-reference/system/upgrade/firmware/low-level-usb-mode.md)
- [Management app](https://docs.encedo.com/hem-api/reference/api-reference/system/upgrade/management-app.md): These operations (on Encedo PPA only) allow the build-in management application to be upgraded. This includes integrity and signature validation allowing only a legitimate application to be installed.
- [Reboot](https://docs.encedo.com/hem-api/reference/api-reference/system/reboot.md): This operation reboots the device, effectively invalidating all issued access tokens (JWT\_TOKEN).
- [Shutdown](https://docs.encedo.com/hem-api/reference/api-reference/system/shutdown.md): This operation shutdown the device, effectively stopping API and securing the chip in a safe state.
- [Self-test](https://docs.encedo.com/hem-api/reference/api-reference/system/self-test.md): This operation performs an internal full self-test of the device's critical components, including cryptography primitives, random number generator and key repository integrity.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.encedo.com/hem-api/reference/api-reference/system.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
